Subject: bug#7381: 24.0.50; Provide a hook run when a window is selected

From: Richard Stallman <[email-masked]>
Date: Thu, 30 Dec 2010 11:06:27 -0500

I think it not good design to run Lisp code due to switching windows.
The existence of the possibility will make debugging much harder.

What was the motive for this request?  If a window is set up properly,
switching away and back won't change it.  It will be exactly as you
left it.

If there is a specific practical problem, let's look for a clean
solution rather than add this hook.

-- 
Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org, www.gnu.org